//    Copyright (C) 2004 Michael Mahr

//    This file is part of "lesschess".
//
//    "lesschess" is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    "lesschess" is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with "lesschess"; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef __padmanager__
#define __padmanager__

#include <iostream>
#include "ds2pad/ds2pad.h"

//this class takes the input from ds2pad and puts them into 1 array, so that keyinfo can be passed along with the draw-functions

class Padmanager
{
public:
  Padmanager ();
  virtual ~Padmanager();
  
  unsigned char * getbuttons(); //returns a pointer to the keys - this pointer is valid until the next call to this function  
  //the important flags of the returned pointer are:
  //1:pressed;2:released;4:currentlydown

private:
  unsigned char buttons[20];
  bool oldpressed[16];
  
  DS2Pad * pad;
};

#endif
