
#include "ds2pad.h"

int main(int argc, char ** argv)
{
    /*instanciate class*/
    DS2Pad pad("/dev/ps2pad00");  //init and use pad0

    /*set the modes you want*/
    pad.actuatormode(true);  //enable actuators
    pad.lockmode(true);      //lock to red light 

    pad.bigactuator = 0; //we will only use the small actuator here

   
    for(;;)
    {  
      /*alter actuators and modes*/
      pad.smallactuator = !pad.smallactuator; //start or stop small actuator
    
      pad.analogmode(!pad.analogmode()); //blink light

      /*update*/
      pad.update(); 
      
      /*do something with keys*/
      if (pad.pressed[DS2PadButton(triangle)]) //if the green button is pressed
      {
        break; // end app
      }
      
      
      sleep(1); //some delay / could be the drawing of a scene
    }


    return 0; // the destuctor is called here - pad0 is reset
}
