//    Copyright (C) 2004 Michael Mahr

//    This file is part of "lesschess".
//
//    "lesschess" is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    "lesschess" is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with "lesschess"; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef __timer__
#define __timer__

#include <sys/time.h>
#include <unistd.h>

//msDiff() returns the timedifference in milliseconds to the last call to msDiff or to the time of creation of the object

//curretly only works on *nix - contributions are welcome

class Timer
{
private:
  unsigned long oldms;

public:
  Timer();

  unsigned int msDiff();

};

#endif
